Subject: OpenMP and Cygwin
From: Ami Marowka <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 3 Jul 2008 19:12:41 GMT
List-Id: <cygwin.cygwin.com>

Dear ALL,

I would like to work with OpenMP-C++ on top of Cygwin.
I installed the LATEST full version of Cygwin.
when I tried to compile:
gcc -fopenmp pi.cpp

I got the message:  "cc1plus: warning: command line option "-fopenmp" is valid 
for D but not for C++"

I found that the gcc version is 3.4.4 !? Is there any reason why the LATEST 
version of Cygwin uses so old gcc version?
It seems that gcc version 3.4.4 does not support OpenMP.

How can install/update my Cygwin with the newest gcc version.

Thanks in advance.
Ami Marowka

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/